import request from '@/utils/request'

// 查询保养计划明细列表
export function listMaintDetail(query) {
  return request({
    url: '/dms/maintDetail/list',
    method: 'get',
    params: query
  })
}

// 查询保养计划明细详细
export function getMaintDetail(planMaintDetailId) {
  return request({
    url: '/dms/maintDetail/' + planMaintDetailId,
    method: 'get'
  })
}

// 新增保养计划明细
export function addMaintDetail(data) {
  return request({
    url: '/dms/maintDetail',
    method: 'post',
    data: data
  })
}

// 修改保养计划明细
export function updateMaintDetail(data) {
  return request({
    url: '/dms/maintDetail',
    method: 'put',
    data: data
  })
}

// 删除保养计划明细
export function delMaintDetail(planMaintDetailId) {
  return request({
    url: '/dms/maintDetail/' + planMaintDetailId,
    method: 'delete'
  })
}
